Bug 462016 - Net SNMP doesn't smux dell open manage
Net SNMP doesn't smux dell open manage
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: net-snmp (Show other bugs)
4.7
All Linux
medium Severity high
: rc
: ---
Assigned To: Jan Safranek
: ZStream
: 477094 (view as bug list)
Depends On:
Blocks: 484334
  Show dependency treegraph
 
Reported: 2008-09-11 18:28 EDT by Louis Savage
Modified: 2010-10-23 00:30 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
* snmpd expects the "type" field of snmp_set_var_value() to be filled before the function is called. However SMUX, as previously implemented, expected these events in the reverse order. As a result, trap forwarding from SMUX peers would not work. SMUX now expect events to take place in the same order as snmpd, thereby enabling trap forwarding from SMUX peers.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 16:18:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace of snmpd in debug mode (51.93 KB, text/plain)
2008-09-21 17:50 EDT, Louis Savage
no flags Details

  None (edit)
Description Louis Savage 2008-09-11 18:28:58 EDT
Description of problem:
Once upgrading from net-snmp 5.1.2-11 to 5.1.2.13 net-snmp stopped sending text trap.

Version-Release number of selected component (if applicable):
5.1.2-13 / RHEL 4.7

How reproducible:
Upgrade to 5.1.2-13 on Dell server running open manage 

Steps to Reproduce:
1. Upgrade / install net-snmp 5.1.2-13
2. Add Dell information to snmpd.conf for open manage : smuxpeer .1.3.6.1.4.1.674.10892.1
3. trapsink 127.0.0.1 public
  
Actual results:

Net-snmp 5.1.2-11

Got trap from peer on fd 9
dumpx_recv:06 0D 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 
dumpv_recv:  ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200
dumpx_recv:40 00 
dumpv_recv:  String:	
dumpx_recv:02 01 06 
dumpv_recv:  Integer:	6 (0x06)
dumpx_recv:02 02 03 85 
dumpv_recv:  Integer:	901 (0x385)
dumpx_recv:43 01 00 
dumpv_recv:  UInteger:	0 (0x00)
dumph_recv: Name
dumpx_recv:  06 0F 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 01
00 
dumpv_recv:    ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.1.0
dumpx_recv:02 02 08 CC 
dumpv_recv:  Integer:	2252 (0x8CC)
dumph_recv: Name
dumpx_recv:  06 0F 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 02
00 
dumpv_recv:    ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.2.0
dumpx_recv:04 23 54 68 65 20 70 68 79 73 69 63 61 6C 20 64
69 73 6B 20 62 6C 69 6E 6B 20 68 61 73 20 63 65
61 73 65 64 2E 
dumpv_recv:  String:	The physical disk blink has ceased.
dumph_recv: Name
dumpx_recv:  06 0F 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 03
00 
dumpv_recv:    ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.3.0
dumpx_recv:04 19 43 6F 6E 74 72 6F 6C 6C 65 72 20 30 2C 20
43 6F 6E 6E 65 63 74 6F 72 20 30 
dumpv_recv:  String:	Controller 0, Connector 0
dumph_recv: Name
dumpx_recv:  06 0F 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 04
00 
dumpv_recv:    ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.4.0
dumpx_recv:04 13 50 68 79 73 69 63 61 6C 20 44 69 73 6B 20
30 3A 30 3A 31 
dumpv_recv:  String:	Physical Disk 0:0:1
dumph_recv: Name
dumpx_recv:  06 0F 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 05
00 
dumpv_recv:    ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.5.0
dumpx_recv:04 26 31 2E 33 2E 36 2E 31 2E 34 2E 31 2E 36 37
34 2E 31 30 38 39 33 2E 31 2E 32 30 2E 31 33 30
2E 34 2E 31 2E 31 2E 32 
dumpv_recv:  String:	1.3.6.1.4.1.674.10893.1.20.130.4.1.1.2
dumph_recv: Name
dumpx_recv:  06 0F 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 06
00 
dumpv_recv:    ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.6.0
dumpx_recv:04 08 5C 30 5C 30 5C 30 5C 31 
dumpv_recv:  String:	\\0\\0\\0\\1
dumph_recv: Name
dumpx_recv:  06 0F 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 07
00 
dumpv_recv:    ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.7.0
dumpx_recv:02 01 03 
dumpv_recv:  Integer:	3 (0x03)
dumph_recv: Name
dumpx_recv:  06 0F 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 08
00 
dumpv_recv:    ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.8.0
dumpx_recv:02 01 03 
dumpv_recv:  Integer:	3 (0x03)
dumph_send: PDU-TRAP2
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      02 01 03 
dumpv_send:        Integer:	3 (0x03)
dumph_send:     Name
dumpx_send:      06 0F 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 08
00 
dumpv_send:        ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.8.0
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      02 01 03 
dumpv_send:        Integer:	3 (0x03)
dumph_send:     Name
dumpx_send:      06 0F 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 07
00 
dumpv_send:        ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.7.0
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      04 08 5C 30 5C 30 5C 30 5C 31 
dumpv_send:        String:	\\0\\0\\0\\1
dumph_send:     Name
dumpx_send:      06 0F 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 06
00 
dumpv_send:        ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.6.0
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      04 26 31 2E 33 2E 36 2E 31 2E 34 2E 31 2E 36 37
34 2E 31 30 38 39 33 2E 31 2E 32 30 2E 31 33 30
2E 34 2E 31 2E 31 2E 32 
dumpv_send:        String:	1.3.6.1.4.1.674.10893.1.20.130.4.1.1.2
dumph_send:     Name
dumpx_send:      06 0F 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 05
00 
dumpv_send:        ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.5.0
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      04 13 50 68 79 73 69 63 61 6C 20 44 69 73 6B 20
30 3A 30 3A 31 
dumpv_send:        String:	Physical Disk 0:0:1
dumph_send:     Name
dumpx_send:      06 0F 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 04
00 
dumpv_send:        ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.4.0
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      04 19 43 6F 6E 74 72 6F 6C 6C 65 72 20 30 2C 20
43 6F 6E 6E 65 63 74 6F 72 20 30 
dumpv_send:        String:	Controller 0, Connector 0
dumph_send:     Name
dumpx_send:      06 0F 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 03
00 
dumpv_send:        ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.3.0
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      04 23 54 68 65 20 70 68 79 73 69 63 61 6C 20 64
69 73 6B 20 62 6C 69 6E 6B 20 68 61 73 20 63 65
61 73 65 64 2E 
dumpv_send:        String:	The physical disk blink has ceased.
dumph_send:     Name
dumpx_send:      06 0F 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 02
00 
dumpv_send:        ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.2.0
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      02 02 08 CC 
dumpv_send:        Integer:	2252 (0x8CC)
dumph_send:     Name
dumpx_send:      06 0F 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 01
00 
dumpv_send:        ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.1.0
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      06 10 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 00
87 05 
dumpv_send:        ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.0.901
dumph_send:     Name
dumpx_send:      06 0A 2B 06 01 06 03 01 01 04 01 00 
dumpv_send:        ObjID: SNMPv2-MIB::snmpTrapOID.0
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      43 02 08 52 
dumpv_send:        UInteger:	2130 (0x852)
dumph_send:     Name
dumpx_send:      06 08 2B 06 01 02 01 01 03 00 
dumpv_send:        ObjID: SNMPv2-MIB::sysUpTime.0
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 04 7B FB 2D 75 
dumpv_send:    Integer:	2080058741 (0x7BFB2D75)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message





Net-snmp 5.2-13



dumpx_recv:06 0D 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 
dumpv_recv:  ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200
dumpx_recv:40 00 
dumpv_recv:  String:	
dumpx_recv:02 01 06 
dumpv_recv:  Integer:	6 (0x06)
dumpx_recv:02 02 03 85 
dumpv_recv:  Integer:	901 (0x385)
dumpx_recv:43 01 00 
dumpv_recv:  UInteger:	0 (0x00)
dumph_recv: Name
dumpx_recv:  06 0F 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 01
00 
dumpv_recv:    ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.1.0
dumpx_recv:02 02 08 CB 
dumpv_recv:  Integer:	2251 (0x8CB)
no storage for OID
dumph_recv: Name
dumpx_recv:  06 0F 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 02
00 
dumpv_recv:    ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.2.0
dumpx_recv:04 26 54 68 65 20 70 68 79 73 69 63 61 6C 20 64
69 73 6B 20 62 6C 69 6E 6B 20 68 61 73 20 69 6E
69 74 69 61 74 65 64 2E 
dumpv_recv:  String:	The physical disk blink has initiated.
no storage for OID
dumph_recv: Name
dumpx_recv:  06 0F 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 03
00 
dumpv_recv:    ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.3.0
dumpx_recv:04 19 43 6F 6E 74 72 6F 6C 6C 65 72 20 30 2C 20
43 6F 6E 6E 65 63 74 6F 72 20 30 
dumpv_recv:  String:	Controller 0, Connector 0
no storage for OID
dumph_recv: Name
dumpx_recv:  06 0F 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 04
00 
dumpv_recv:    ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.4.0
dumpx_recv:04 13 50 68 79 73 69 63 61 6C 20 44 69 73 6B 20
30 3A 30 3A 31 
dumpv_recv:  String:	Physical Disk 0:0:1
no storage for OID
dumph_recv: Name
dumpx_recv:  06 0F 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 05
00 
dumpv_recv:    ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.5.0
dumpx_recv:04 26 31 2E 33 2E 36 2E 31 2E 34 2E 31 2E 36 37
34 2E 31 30 38 39 33 2E 31 2E 32 30 2E 31 33 30
2E 34 2E 31 2E 31 2E 32 
dumpv_recv:  String:	1.3.6.1.4.1.674.10893.1.20.130.4.1.1.2
no storage for OID
dumph_recv: Name
dumpx_recv:  06 0F 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 06
00 
dumpv_recv:    ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.6.0
dumpx_recv:04 08 5C 30 5C 30 5C 30 5C 31 
dumpv_recv:  String:	\\0\\0\\0\\1
no storage for OID
dumph_recv: Name
dumpx_recv:  06 0F 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 07
00 
dumpv_recv:    ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.7.0
dumpx_recv:02 01 03 
dumpv_recv:  Integer:	3 (0x03)
no storage for OID
dumph_recv: Name
dumpx_recv:  06 0F 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 08
00 
dumpv_recv:    ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.8.0
dumpx_recv:02 01 03 
dumpv_recv:  Integer:	3 (0x03)
no storage for OID
dumph_send: PDU-TRAP2
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      02 01 00 
dumpv_send:        Integer:	0 (0x00)
dumph_send:     Name
dumpx_send:      06 0F 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 08
00 
dumpv_send:        ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.8.0
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      02 01 00 
dumpv_send:        Integer:	0 (0x00)
dumph_send:     Name
dumpx_send:      06 0F 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 07
00 
dumpv_send:        ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.7.0
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      04 08 00 00 00 00 00 00 00 00 
dumpv_send:        String:	........
dumph_send:     Name
dumpx_send:      06 0F 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 06
00 
dumpv_send:        ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.6.0
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      04 26 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 
dumpv_send:        String:	......................................
dumph_send:     Name
dumpx_send:      06 0F 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 05
00 
dumpv_send:        ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.5.0
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      04 13 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 
dumpv_send:        String:	...................
dumph_send:     Name
dumpx_send:      06 0F 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 04
00 
dumpv_send:        ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.4.0
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      04 19 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 
dumpv_send:        String:	.........................
dumph_send:     Name
dumpx_send:      06 0F 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 03
00 
dumpv_send:        ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.3.0
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      04 26 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 
dumpv_send:        String:	......................................
dumph_send:     Name
dumpx_send:      06 0F 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 02
00 
dumpv_send:        ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.2.0
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      02 01 00 
dumpv_send:        Integer:	0 (0x00)
dumph_send:     Name
dumpx_send:      06 0F 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 01
00 
dumpv_send:        ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.1.0
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      06 10 2B 06 01 04 01 85 22 D5 0D 01 14 81 48 00
87 05 
dumpv_send:        ObjID: SNMPv2-SMI::enterprises.674.10893.1.20.200.0.901
dumph_send:     Name
dumpx_send:      06 0A 2B 06 01 06 03 01 01 04 01 00 
dumpv_send:        ObjID: SNMPv2-MIB::snmpTrapOID.0
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      43 02 07 89 
dumpv_send:        UInteger:	1929 (0x789)
dumph_send:     Name
dumpx_send:      06 08 2B 06 01 02 01 01 03 00 
dumpv_send:        ObjID: DISMAN-EVENT-MIB::sysUpTimeInstance
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 04 4F 2F 32 F8 
dumpv_send:    Integer:	1328493304 (0x4F2F32F8)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message


Expected results:

Couldn't find anything in the change log that would have caused this behavior. The message is not sent in it's whole but instead it sends ".........." 



Additional info:
Comment 1 Jan Safranek 2008-09-15 09:37:57 EDT
What exact version of net-snmp was the last one working? There were many  versions '5.1.2-11' - it should have also some additional numbers, like 5.1.2-11.EL4.12 or so.

I expect the dump you posted is from snmptrapd, right? Could you also post the one from snmpd? Or, preferably, tcpdump of communication between snmpd and snmptrapd and the smux peer (Dell open manage), so I can play with it and eventually reproduce the bug.

Thanks in advance.
Comment 2 Louis Savage 2008-09-21 16:35:12 EDT
Hello Jan,

Sorry about the delay,

Below is the version numbers :


Worked : 
net-snmp-5.1.2-11.el4_6.11.3', 'net-snmp-libs-5.1.2-11.el4_6.11.3', 'net-snmp-libs-5.1.2-11.el4_6.11.3

After up2date ran : 

net-snmp-5.1.2-13.el4', 'net-snmp-libs-5.1.2-13.el4', 'net-snmp-libs-5.1.2-13.el4


I am going to start looking into some more as well .

Thanks,

Louis
Comment 3 Louis Savage 2008-09-21 17:49:06 EDT
Hello Jan,

The dump I have posted is from runing the snmpd with the following options : 

/usr/sbin/snmpd -Ddump

Then from there I triggered the blinks and failed drives from within open manage to get a output of the errors.

I have attached  a strace of it happening. I forced a blink / unblink of the drives.
Comment 4 Louis Savage 2008-09-21 17:50:27 EDT
Created attachment 317329 [details]
strace of snmpd in debug mode

snmpd -Ddump 

strace
Comment 5 Louis Savage 2008-09-21 18:07:31 EDT
Here is the tcpdump : 

tcpdump -i lo -vvv -nn -n
tcpdump: listening on lo, link-type EN10MB (Ethernet), capture size 96 bytes
18:06:00.713301 IP (tos 0x0, ttl  64, id 49092, offset 0, flags [DF], proto 6, length: 403) 127.0.0.1.36399 > 127.0.0.1.199: P 3613762888:3613763239(351) ack 3617003159 win 8192 <nop,nop,timestamp 2469723851 2469564491>
18:06:00.713302 IP (tos 0x0, ttl  64, id 54582, offset 0, flags [DF], proto 6, length: 52) 127.0.0.1.199 > 127.0.0.1.36399: . [tcp sum ok] 1:1(0) ack 351 win 8192 <nop,nop,timestamp 2469723851 2469723851>
18:06:00.715031 IP (tos 0x0, ttl  64, id 0, offset 0, flags [DF], proto 17, length: 411) 127.0.0.1.33197 > 127.0.0.1.162:  { SNMPv2c { V2Trap(35) R=314038665  .1.3.6.1.2.1.1.3.0=126183 [|snmp] } }
18:06:21.771101 IP (tos 0x0, ttl  64, id 49094, offset 0, flags [DF], proto 6, length: 400) 127.0.0.1.36399 > 127.0.0.1.199: P 351:699(348) ack 1 win 8192 <nop,nop,timestamp 2469744908 2469723851>
18:06:21.771120 IP (tos 0x0, ttl  64, id 54584, offset 0, flags [DF], proto 6, length: 52) 127.0.0.1.199 > 127.0.0.1.36399: . [tcp sum ok] 1:1(0) ack 699 win 8192 <nop,nop,timestamp 2469744908 2469744908>
18:06:21.772818 IP (tos 0x0, ttl  64, id 0, offset 0, flags [DF], proto 17, length: 408) 127.0.0.1.33197 > 127.0.0.1.162:  { SNMPv2c { V2Trap(35) R=314038666  .1.3.6.1.2.1.1.3.0=128289 [|snmp] } }
Comment 6 Jan Safranek 2008-09-22 09:07:55 EDT
Thanks for the info, I have reproduced the bug. It was caused by rewrite of snmp_set_var_value() for bug #329631 - it now expects that the 'type' field is filled before the function is called and SMUX tries to fill it after the call -> you can see "no storage for OID" in the log and all values are zeroed.

Upstream patch:
http://net-snmp.svn.sourceforge.net/viewvc/net-snmp/trunk/net-snmp/agent/mibgroup/smux/smux.c?r1=14246&r2=14245&pathrev=14246
Comment 7 RHEL Product and Program Management 2008-09-22 09:15:59 EDT
This bugzilla has Keywords: Regression.  

Since no regressions are allowed between releases, 
it is also being proposed as a blocker for this release.  

Please resolve ASAP.
Comment 13 Jan Safranek 2009-01-05 06:24:11 EST
*** Bug 477094 has been marked as a duplicate of this bug. ***
Comment 15 Ruediger Landmann 2009-01-22 01:27:00 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
* snmpd expects the "type" field of snmp_set_var_value() to be filled before the function is called. However SMUX, as previously implemented, expected these events in the reverse order. As a result, trap forwarding from SMUX peers would not work. SMUX now expect events to take place in the same order as snmpd, thereby enabling trap forwarding from SMUX peers.
Comment 26 Narendra K 2009-04-14 08:51:47 EDT
I verified this on RHEL 4.8 snapshot 3 -  net-snmp version:5.1.2-18.el4. The issue is fixed. Traps show the details.
Comment 27 errata-xmlrpc 2009-05-18 16:18:53 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0984.html

Note You need to log in before you can comment on or make changes to this bug.